<template>
  <div>
    <div class="subtitle-2">
      <b>Negocios <InfoNegocioPrefijo /></b>
    </div>
    <v-autocomplete
      v-model="data.value"
      :items="unidadesNegocios"
      item-text="descripcion"
      item-value="idUnidadNegocio"
      label="Selecciona un negocio"
      single-line
      @change="callback"
      return-object
    >
    </v-autocomplete>
  </div>
</template>
<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
import InfoNegocioPrefijo from "./InfoNegocioPrefijo.vue";
export default {
  name: "Component-ListaNegocio",
  props: {
    value: Object,
    callback: { type: Function },
  },
  components: { InfoNegocioPrefijo },
  computed: {
    data: {
      get() {
        return this.value.dataUnidadNegocio;
      },
      set(value) {
        this.$emit("input", this.value);
      },
    },
  },
  data() {
    return {
      unidadesNegocios: [],
    };
  },
  methods: {
    getUnidadesNegocios() {
      var self = this;
      axios("/documento-sucursal/negocio/v1/")
        .then((response) => {
          let data = response.data;
          if (data) {
            self.unidadesNegocios = data.resultado.negocios;
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
  },
  created() {
    this.getUnidadesNegocios();
  },
};
</script>
